Bug 16730 - Use member-display-address-style*-includes in moremember-brief.tt
Summary: Use member-display-address-style*-includes in moremember-brief.tt
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Patrons (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Marc Véron
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-06-14 06:42 UTC by Marc Véron
Modified: 2017-12-07 22:16 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 16730 - Use member-display-address-style*-includes in moremember-brief.tt (2.20 KB, patch)
2016-06-14 06:49 UTC, Marc Véron
Details | Diff | Splinter Review
Bug 16730 - Use member-display-address-style*-includes in moremember-brief.tt (2.43 KB, patch)
2016-06-15 10:11 UTC, Frédéric Demians
Details | Diff | Splinter Review
Bug 16730 - Use member-display-address-style*-includes in moremember-brief.tt (2.49 KB, patch)
2016-06-24 17:56 UTC, Kyle M Hall
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Marc Véron 2016-06-14 06:42:37 UTC
Creating new patron with the same first and last name as an existing patron triggers a duplicate warning message with the possibility to display a pop-up window with a patron detail brief view (moremember-brief.tt). Address formatting in this window should use syspref 'AddressFormat' to display the address.
Comment 1 Marc Véron 2016-06-14 06:49:51 UTC Comment hidden (obsolete)
Comment 2 Frédéric Demians 2016-06-15 10:11:43 UTC Comment hidden (obsolete)
Comment 3 Marc Véron 2016-06-20 14:48:54 UTC
Note: US style formatting (road type should be after address) is fixed by Bug 16779
Comment 4 Kyle M Hall 2016-06-24 17:56:21 UTC
Created attachment 52858 [details] [review]
Bug 16730 - Use member-display-address-style*-includes in moremember-brief.tt

To test:
- Apply patch
- Create a new patron with the same first and last name as an existing
  patron. This should trigger a duplicate warning message. Click the
  "View existing record" link to trigger a pop-up window with a patron
  detail brief view.
- Verify that the address information displays the same way as on the
  patron details screen (moremember.pl).
- Change syspref 'AddressFormat' and verify that the address displays
  as appropriate.

Signed-off-by: Frédéric Demians <f.demians@tamil.fr>
  Works as described: AddressFormat is taken into account on 'view exiting
  record' dialog box.

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 5 Kyle M Hall 2016-07-08 14:41:47 UTC
Pushed to master for 16.11, thanks Marc!
Comment 6 Frédéric Demians 2016-08-01 13:35:19 UTC
Pushed in 16.05. Will be in 16.05.02.
Comment 7 Julian Maurice 2016-08-16 15:39:29 UTC
Patches pushed to 3.22.x, will be in 3.22.10